switch-priv-modes:
  switch_modes: false
  num_switches: 5

priv-mode:
  mode: s

general:
  total_instructions: 500
  regs_not_use: x0
  custom_trap_handler: false
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0x000

isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 10
  rel_rv32i.ctrl: 5
  rel_rv32i.compute: 10
  rel_rv32i.data: 10
  rel_rv32i.fence: 10
  rel_rv64i.compute: 10
  rel_rv64i.data: 10
  rel_rv32m: 10
  rel_rv64m: 10
  rel_rv32a: 10
  rel_rv64a: 10
  rel_rv32f: 10
  rel_rv64f: 10
  rel_rv32d: 10
  rel_rv64d: 10
  rel_rvc.ctrl: 5
  rel_rvc.compute: 10
  rel_rvc.sp: 10
  rel_rvc.data: 10
  rel_rvc.fdata: 10
  rel_rv32c.compute: 10
  rel_rv32c.ctrl: 10
  rel_rv32c.fdata: 10
  rel_rv64c.compute: 10
  rel_rv64c.data: 10

float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10

branch-control:
  block-size: 7
  backward-probability: 0.5

recursion-options:
  recursion-enable: false
  recursion-depth: 10
  recursion-calls: 5

access-sections:
  begin_signature: 0x80090000,0x800fffff,rw

user-functions:
  func1: '{50: "addi sp, sp, -20*REGBYTES;SREG t0, 5*REGBYTES(sp);SREG t1, 6*REGBYTES(sp);SREG t2, 7*REGBYTES(sp);SREG s1, 9*REGBYTES(sp);SREG s2, 18*REGBYTES(sp);SREG s3, 19*REGBYTES(sp);SREG t6, 31*REGBYTES(sp);SREG a1, 11*REGBYTES(sp);SREG s5, 21*REGBYTES(sp);
\ li t2, 0xabee; 
 addi s1, t2, 16;
  addi s2, s1, 16;
  addi s3, s2, 16;
la t0, begin_signature;
addi t1, t0, 2047;
addi t1,t1,1;
li t6, 0;
li a1, 0x8;
li s5, 2047;
 addi s5, s5, 1;
 slli s5, s5, 1;
loop_page:sh t2,0(t0); sh s1,16(t0); sh s2,48(t0); sh t2,64(t0); sh s1,80(t0); sh s2,112(t0); sh t2,128(t0); sh s1,144(t0); sh s2,176(t0); sh t2,192(t0); sh s1,208(t0); sh s2,240(t0); sh t2,256(t0); sh s1,272(t0); sh s2,304(t0); sh t2,320(t0); sh s1,336(t0); sh s2,368(t0); sh t2,384(t0); sh s1,400(t0); sh s2,432(t0); sh t2,448(t0); sh s1,464(t0); sh s2,496(t0); sh t2,512(t0); sh s1,528(t0); sh s2,560(t0); sh t2,576(t0); sh s1,592(t0); sh s2,624(t0); sh t2,640(t0); sh s1,656(t0); sh s2,688(t0); sh t2,704(t0); sh s1,720(t0); sh s2,752(t0); sh t2,768(t0); sh s1,784(t0); sh s2,816(t0); sh t2,832(t0); sh s1,848(t0); sh s2,880(t0); sh t2,896(t0); sh s1,912(t0); sh s2,944(t0); sh t2,960(t0); sh s1,976(t0); sh s2,1008(t0); sh t2,1024(t0); sh s1,1040(t0); sh s2,1072(t0); sh t2,1088(t0); sh s1,1104(t0); sh s2,1136(t0); sh t2,1152(t0); sh s1,1168(t0); sh s2,1200(t0); sh t2,1216(t0); sh s1,1232(t0); sh s2,1264(t0); sh t2,1280(t0); sh s1,1296(t0); sh s2,1328(t0); sh t2,1344(t0); sh s1,1360(t0); sh s2,1392(t0); sh t2,1408(t0); sh s1,1424(t0); sh s2,1456(t0); sh t2,1472(t0); sh s1,1488(t0); sh s2,1520(t0); sh t2,1536(t0); sh s1,1552(t0); sh s2,1584(t0); sh t2,1600(t0); sh s1,1616(t0); sh s2,1648(t0); sh t2,1664(t0); sh s1,1680(t0); sh s2,1712(t0); sh t2,1728(t0); sh s1,1744(t0); sh s2,1776(t0); sh t2,1792(t0); sh s1,1808(t0); sh s2,1840(t0); sh t2,1856(t0); sh s1,1872(t0); sh s2,1904(t0); sh t2,1920(t0); sh s1,1936(t0); sh s2,1968(t0); sh t2,1984(t0); sh s1,2000(t0); sh s2,2032(t0); sh t2,0(t1); sh s1,16(t1); sh s2,48(t1); sh t2,64(t1); sh s1,80(t1); sh s2,112(t1); sh t2,128(t1); sh s1,144(t1); sh s2,176(t1); sh t2,192(t1); sh s1,208(t1); sh s2,240(t1); sh t2,256(t1); sh s1,272(t1); sh s2,304(t1); sh t2,320(t1); sh s1,336(t1); sh s2,368(t1); sh t2,384(t1); sh s1,400(t1); sh s2,432(t1); sh t2,448(t1); sh s1,464(t1); sh s2,496(t1); sh t2,512(t1); sh s1,528(t1); sh s2,560(t1); sh t2,576(t1); sh s1,592(t1); sh s2,624(t1); sh t2,640(t1); sh s1,656(t1); sh s2,688(t1); sh t2,704(t1); sh s1,720(t1); sh s2,752(t1); sh t2,768(t1); sh s1,784(t1); sh s2,816(t1); sh t2,832(t1); sh s1,848(t1); sh s2,880(t1); sh t2,896(t1); sh s1,912(t1); sh s2,944(t1); sh t2,960(t1); sh s1,976(t1); sh s2,1008(t1); sh t2,1024(t1); sh s1,1040(t1); sh s2,1072(t1); sh t2,1088(t1); sh s1,1104(t1); sh s2,1136(t1); sh t2,1152(t1); sh s1,1168(t1); sh s2,1200(t1); sh t2,1216(t1); sh s1,1232(t1); sh s2,1264(t1); sh t2,1280(t1); sh s1,1296(t1); sh s2,1328(t1); sh t2,1344(t1); sh s1,1360(t1); sh s2,1392(t1); sh t2,1408(t1); sh s1,1424(t1); sh s2,1456(t1); sh t2,1472(t1); sh s1,1488(t1); sh s2,1520(t1); sh t2,1536(t1); sh s1,1552(t1); sh s2,1584(t1); sh t2,1600(t1); sh s1,1616(t1); sh s2,1648(t1); sh t2,1664(t1); sh s1,1680(t1); sh s2,1712(t1); sh t2,1728(t1); sh s1,1744(t1); sh s2,1776(t1); sh t2,1792(t1); sh s1,1808(t1); sh s2,1840(t1); sh t2,1856(t1); sh s1,1872(t1); sh s2,1904(t1); sh t2,1920(t1); sh s1,1936(t1); sh s2,1968(t1); sh t2,1984(t1); sh s1,2000(t1); sh s2,2032(t1); 
 add t0,t0,s5;
  add t1,t1,s5; 
 addi t6, t6, 1;
  bne t6, a1, loop_page; 
li t6,0; 
li a1, 0x10;
 loop_page2:ld t2,0(t0); ld t2,64(t0); ld t2,128(t0); ld t2,192(t0); ld t2,256(t0); ld t2,320(t0); ld t2,384(t0); ld t2,448(t0); ld t2,512(t0); ld t2,576(t0); ld t2,640(t0); ld t2,704(t0); ld t2,768(t0); ld t2,832(t0); ld t2,896(t0); ld t2,960(t0); ld t2,1024(t0); ld t2,1088(t0); ld t2,1152(t0); ld t2,1216(t0); ld t2,1280(t0); ld t2,1344(t0); ld t2,1408(t0); ld t2,1472(t0); ld t2,1536(t0); ld t2,1600(t0); ld t2,1664(t0); ld t2,1728(t0); ld t2,1792(t0); ld t2,1856(t0); ld t2,1920(t0); ld t2,1984(t0);ld t2,0(t1); ld t2,64(t1); ld t2,128(t1); ld t2,192(t1); ld t2,256(t1); ld t2,320(t1); ld t2,384(t1); ld t2,448(t1); ld t2,512(t1); ld t2,576(t1); ld t2,640(t1); ld t2,704(t1); ld t2,768(t1); ld t2,832(t1); ld t2,896(t1); ld t2,960(t1); ld t2,1024(t1); ld t2,1088(t1); ld t2,1152(t1); ld t2,1216(t1); ld t2,1280(t1); ld t2,1344(t1); ld t2,1408(t1); ld t2,1472(t1); ld t2,1536(t1); ld t2,1600(t1); ld t2,1664(t1); ld t2,1728(t1); ld t2,1792(t1); ld t2,1856(t1); ld t2,1920(t1); ld t2,1984(t1);
  add t0,t0,s5;
  add t1,t1,s5; 
 addi t6, t6, 1;
  bne t6, a1, loop_page2; 
LREG t0, 5*REGBYTES(sp);LREG t1, 6*REGBYTES(sp);LREG t2, 7*REGBYTES(sp);LREG s1, 9*REGBYTES(sp);LREG s2, 18*REGBYTES(sp);LREG s3, 19*REGBYTES(sp);LREG t6, 31*REGBYTES(sp);LREG a1, 11*REGBYTES(sp);LREG s5, 21*REGBYTES(sp);addi sp, sp, 20*REGBYTES;" }'

i-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

d-cache:
  num_calls: 0
  num_bytes_per_block: 16
  num_blocks: 8
  num_cycles: 10

exception-generation:
  ecause00: 0
  ecause01: 0
  ecause02: 0
  ecause03: 0
  ecause04: 0
  ecause05: 0
  ecause06: 0
  ecause07: 0
  ecause08: 0
  ecause09: 0
  ecause10: 0
  ecause11: 0
  ecause12: 0
  ecause13: 0
  ecause14: 0

csr-sections:
  sections: 0x000:0xfff

data-hazards:
  raw_prob: 1
  war_prob: 1
  waw_prob: 1
  num_regs_lookbehind: 3

program-macro:
  pre_program_macro: "add x0,x0,x0"
                                                                                                                                                         #To change sw t5, 8(t6)
  post_program_macro: "li gp,1; \n sw gp, tohost, t5;\n fence.i;\n li t6,  0x20000; \n la t5, begin_signature; \n sw t5, 0(t6); \n la t5, end_signature \n sw t5, 8(t6); \n sw t5,  12(t6);"        
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"
